Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ExportCorpusAsCONNLU.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ExportCorpusAsCONNLU.java	(revision 2992)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ExportCorpusAsCONNLU.java	(revision 2993)
@@ -313,7 +313,8 @@
 			if (insertParagraphs) {
 				StructuralUnit p_struct = mainCorpus.getStructuralUnit("p");
 				if (p_struct == null) {
-					Log.warning(NLS.bind("No 'p' structure found in the {0} CQP corpus. Paragraphs can't be inserted.", mainCorpus));
+					Log.warning(NLS.bind("** insertParagraph parameter is set, but there are no *p* structure (no paragraph) in the {0} CQP corpus. The insertParagraph parameter will be ignored.",
+							mainCorpus));
 				}
 				else {
 					for (int position : mainCorpus.query(new CQLQuery("<p> [_.text_id=\"" + textIds[iText] + "\"]"), "textParagraphPositions", false).getStarts()) {
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 2992)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 2993)
@@ -14,8 +14,8 @@
  *
  */
 public class ChartsEnginePreferences extends TXMPreferences {
-
-
+	
+	
 	/**
 	 * The name of the current charts engine.
 	 */
@@ -27,32 +27,32 @@
 	 */
 	public final static String CHARTS_ENGINES_ORDER = "charts_engines_order"; //$NON-NLS-1$
 	
-
+	
 	/**
 	 * Constant for the default export format.
 	 */
 	public static final String DEFAULT_EXPORT_FORMAT = "default_export_format"; //$NON-NLS-1$
 	
-
 	
+	
 	/**
 	 * Constant for showing title or not in the charts.
 	 */
 	public final static String SHOW_TITLE = "show_title"; //$NON-NLS-1$
-
-
+	
+	
 	/**
 	 * Constant for showing legend or not in the charts.
 	 */
 	public final static String SHOW_LEGEND = "show_legend"; //$NON-NLS-1$
-
-
+	
+	
 	/**
 	 * Constant for showing grid/lines or not in the charts.
 	 */
 	public final static String SHOW_GRID = "show_grid"; //$NON-NLS-1$
-
 	
+	
 	/**
 	 * Constant for the color mode (colors, grayscale, monochrome, B&W).
 	 */
@@ -74,7 +74,7 @@
 	 */
 	public static final String MULTIPLE_LINE_STROKES = "multiple_line_strokes"; //$NON-NLS-1$
 	
-
+	
 	// local result preferences
 	/**
 	 * Chart type.
@@ -86,12 +86,13 @@
 	 */
 	public final static String DEFAULT_CHART_TYPE = "[Default]"; //$NON-NLS-1$
 	
-
+	
 	/**
 	 * Gets the instance.
+	 * 
 	 * @return the instance
 	 */
-	public static TXMPreferences getInstance()	{
+	public static TXMPreferences getInstance() {
 		if (!TXMPreferences.instances.containsKey(ChartsEnginePreferences.class)) {
 			new ChartsEnginePreferences();
 		}
@@ -112,9 +113,10 @@
 	/**
 	 * Initializes the charts engine default preferences.
 	 * This method is also used to define the charts preference for each command using charts.
+	 * 
 	 * @param preferences
 	 */
-	public static void initializeChartsEngineSharedPreferences(Preferences preferences)	{
+	public static void initializeChartsEngineSharedPreferences(Preferences preferences) {
 		preferences.put(CHART_TYPE, DEFAULT_CHART_TYPE);
 		preferences.putBoolean(SHOW_TITLE, true);
 		preferences.putBoolean(SHOW_LEGEND, true);
@@ -124,11 +126,11 @@
 		preferences.putBoolean(MULTIPLE_LINE_STROKES, false);
 		
 		// Check the target OS and set the default font from the JVM embedded font
-		String defaultFont; 
-		if(OSDetector.isFamilyUnix())	{
+		String defaultFont;
+		if (OSDetector.isFamilyUnix()) {
 			defaultFont = "1|Lucida Sans|11.0|0|GTK|1|"; //$NON-NLS-1$ // other version if needed later: "1|Lucida Sans|11|0"
 		}
-		else	{
+		else {
 			defaultFont = "1|Lucida Sans Unicode|11.0|0|WINDOWS|1|-16|0|0|0|400|0|0|0|0|3|2|1|34|Lucida Sans Unicode;"; //$NON-NLS-1$
 		}
 		
@@ -138,6 +140,7 @@
 	
 	/**
 	 * Gets the engines order from the specified string with | separator.
+	 * 
 	 * @param enginesOrder
 	 * @return
 	 */
@@ -145,27 +148,28 @@
 		
 		String[] orderedEnginesNames = enginesOrder.split("\\|");
 		
-		if(orderedEnginesNames.length == 1 && orderedEnginesNames[0].isEmpty())	{
+		if (orderedEnginesNames.length == 1 && orderedEnginesNames[0].isEmpty()) {
 			return null;
 		}
 		else {
 			return orderedEnginesNames;
 		}
 	}
-
 	
+	
 	/**
 	 * Creates the engines order string with | separator from the specified engines list.
+	 * 
 	 * @param enginesNames
 	 * @return
 	 */
 	public static String createEnginesOrder(String[] enginesNames) {
 		StringBuilder sb = new StringBuilder();
 		for (int i = 0; i < enginesNames.length; i++) {
-			if(i > 0)	{
+			if (i > 0) {
 				sb.append("|");
 			}
-			sb.append(enginesNames[i]);					
+			sb.append(enginesNames[i]);
 		}
 		
 		Log.finest("ChartsEnginePreferences.createChartsEnginesOrder():" + sb);
@@ -175,22 +179,24 @@
 	
 	/**
 	 * Gets the name of the first engine stored in the engines order preference.
+	 * 
 	 * @param enginesOrder
 	 * @return
 	 */
 	public static String getFirstEngineName() {
 		return getEnginesOrder(getInstance().getString(CHARTS_ENGINES_ORDER))[0];
 	}
-
-
+	
+	
 	/**
 	 * Gets the engines order from stored in the preferences.
+	 * 
 	 * @return
 	 */
 	public String[] getEnginesOrder() {
 		return getEnginesOrder(this.getString(ChartsEnginePreferences.CHARTS_ENGINES_ORDER));
 	}
-
 	
+	
 }
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/PreferencesMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/PreferencesMacro.groovy	(revision 2992)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/PreferencesMacro.groovy	(revision 2993)
@@ -6,7 +6,21 @@
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.core.preferences.TXMPreferences
 import org.txm.searchengine.cqp.CQPPreferences
+import org.txm.utils.io.*
 
-org.txm.core.preferences.TXMPreferences.dump();
+@Field @Option(name="outputFile", usage="set outputFile to '' to write in console", widget="CreateFile", required=false, def="")
+File outputFile;
+if (!ParametersDialog.open(this)) {
+	return
+}
 
+if (outputFile == null) {
+	org.txm.core.preferences.TXMPreferences.dump();
+} else {
+	def out = new PrintStream(outputFile);
+	org.txm.core.preferences.TXMPreferences.dump(out);
+	out.close()
+	println "Result in: $outputFile"
+}
+
 //println CQPPreferences.getInstance().getProperties()
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 2992)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 2993)
@@ -18,87 +18,94 @@
 public class FontSection extends ImportEditorSection {
 	
 	private static final int SECTION_SIZE = 1;
-	public static final String DEFAULTFONT = "<default>";
 	
+	public static final String DEFAULTFONT = "";
+	
 	Combo fontCombo;
 	
 	public FontSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		super(toolkit2, form2, parent, style);
-
+		
 		this.section.setText(TXMUIMessages.displayFont);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
 		this.section.setLayoutData(getSectionGridData(SECTION_SIZE));
 		this.section.setEnabled(false);
-
+		
 		this.section.addExpansionListener(new ExpansionAdapter() {
+			
 			@Override
-			public void expansionStateChanged(ExpansionEvent e) {form.layout(true);}
+			public void expansionStateChanged(ExpansionEvent e) {
+				form.layout(true);
+			}
 		});
-
-		//filesection.setDescription("Select how to find source files");
+		
+		// filesection.setDescription("Select how to find source files");
 		Composite sectionClient = toolkit.createComposite(this.section);
 		TableWrapLayout slayout = new TableWrapLayout();
 		slayout.makeColumnsEqualWidth = false;
 		slayout.numColumns = 2;
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
-
+		
 		Label l = toolkit.createLabel(sectionClient, TXMUIMessages.fontName, SWT.WRAP);
 		l.setLayoutData(new TableWrapData(TableWrapData.LEFT, TableWrapData.MIDDLE));
-
+		
 		fontCombo = new Combo(sectionClient, SWT.BORDER);
 		TableWrapData gdata = getTextGridData();
 		fontCombo.setLayoutData(gdata);
-
+		
 		fontCombo.removeAll();
 		GraphicsEnvironment e = GraphicsEnvironment.getLocalGraphicsEnvironment();
 		java.awt.Font[] fonts = e.getAllFonts(); // Get the fonts
-
+		
 		fontCombo.add(DEFAULTFONT);
 		for (java.awt.Font font : fonts) {
 			fontCombo.add(font.getFontName());
 		}
-
-		//updateFontSection();
 		
+		// updateFontSection();
 		
+		
 	}
-
+	
 	@Override
 	public void update(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		
-		String value = project.getFont(); //$NON-NLS-1$
+		String value = project.getFont(); // $NON-NLS-1$
 		
 		if (value == null || value.length() == 0) value = DEFAULTFONT;
 		
-		if (value != null && value.length() > 0)
+		if (value != null && value.length() > 0) {
 			fontCombo.setText(value);
-		
+		}
+		else {
+			fontCombo.setText("");
+		}
 	}
-
+	
 	@Override
 	public boolean save(Project project) {
 		if (!this.section.isDisposed()) {
 			String value = fontCombo.getText();
 			if (DEFAULTFONT.equals(value)) value = "";
 			
-			project.setFont(value); //$NON-NLS-1$
+			project.setFont(value); // $NON-NLS-1$
 			return true;
 		}
 		return true;
 	}
-
+	
 	@Override
 	public boolean checkFields() {
 		return true;
 	}
-
+	
 	@Override
 	public int getSectionSize() {
 		return SECTION_SIZE;
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 2992)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 2993)
@@ -7,6 +7,7 @@
 import java.io.IOException;
 import java.io.ObjectInputStream;
 import java.io.ObjectOutputStream;
+import java.io.PrintStream;
 import java.io.Serializable;
 import java.text.ParseException;
 import java.util.ArrayList;
@@ -1231,26 +1232,34 @@
 	 * print TxmPreferences in the console.
 	 */
 	public static void dump() {
+		dump(System.out);
+	}
+	
+	/**
+	 * print TxmPreferences in the output printstream parameter.
+	 * 
+	 * @param out output printstream !! must be closed after used
+	 */
+	public static void dump(PrintStream out) {
 		try {
-			System.out.println("root:"); //$NON-NLS-1$
+			out.println("root:"); //$NON-NLS-1$
 			for (String children : preferencesRootNode.childrenNames()) {
-				System.out.println("********************************************************************************************************"); //$NON-NLS-1$
-				System.out.println(" scope: " + children); //$NON-NLS-1$
+				out.println("********************************************************************************************************"); //$NON-NLS-1$
+				out.println(" scope: " + children); //$NON-NLS-1$
 				String[] subchildren = preferencesRootNode.node(children).childrenNames();
 				Arrays.sort(subchildren);
 				for (String children2 : subchildren) {
-					System.out.println(" scope: " + children + "  node: " + children2); //$NON-NLS-1$
+					out.println(" scope: " + children + "  node: " + children2); //$NON-NLS-1$
 					String[] keys = preferencesRootNode.node(children).node(children2).keys();
 					Arrays.sort(keys);
 					for (String key2 : keys) {
-						System.out.println("          " + key2 + " = " + preferencesRootNode.node(children).node(children2).get(key2, null)); //$NON-NLS-1$ //$NON-NLS-2$
+						out.println("          " + key2 + " = " + preferencesRootNode.node(children).node(children2).get(key2, null)); //$NON-NLS-1$ //$NON-NLS-2$
 					}
 				}
 			}
 		}
 		catch (Exception e) {
 			e.printStackTrace();
-			;
 		}
 	}
 	
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 2992)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 2993)
@@ -153,7 +153,7 @@
 	 * Font.
 	 */
 	@Parameter(key = TBXPreferences.FONT)
-	private String pFont = "Arial";
+	private String pFont;
 	
 	/**
 	 * Description.
